curl --request GET \
--url https://api.sandbox.trio.com.br/banking/cashin/boletos \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.sandbox.trio.com.br/banking/cashin/boletos"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.sandbox.trio.com.br/banking/cashin/boletos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"amount": 10000,
"barcode": "12341111222233334444555566667777888899990000",
"boleto_url": "https://example.com/boleto_1",
"description": "description",
"digitable_line": "12341111222233334444555566667777888899990000",
"due_detail": {
"discount": {
"fixed_until_due": {
"amounts": [
{
"amount": 10,
"date": "2024-08-13"
},
{
"amount": 9,
"date": "2024-08-14"
},
{
"amount": 8,
"date": "2024-08-15"
}
],
"calculation_type": "amount"
},
"per_day_antecipated": {
"amount": 2,
"calculation_days": "working",
"calculation_type": "amount"
}
},
"due_date": "2024-08-10",
"fine": {
"amount": 10,
"calculation_type": "percentage"
},
"interest": {
"amount": 20,
"calculation_type": "daily_rate"
}
},
"expiration_date": "2024-08-30T23:59:59.999999Z",
"external_id": "0190b2a4-8a3b-d123-050e-8d659ace1e2d",
"id": "0196f83d-cafa-f412-1f1d-129cdf2dda49",
"invoice_type": "commercial_duplicate",
"issue_date": "2024-07-24T10:00:00.000000Z",
"notes": [
"note 1",
"note 2",
"note 3"
],
"status": "confirmed",
"virtual_account_id": "0196f83d-cafa-f412-1f1d-129cdf2dda49",
"wallet_type": "direct_electronic_partial_emission_booklet"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}List boletos
List all boletos
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Entity UUID Unique identifier
Virtual account UUID Unique identifier
Bank account UUID Unique identifier
External ID - transaction identifier used for reconciliation and webhook tracking
Counterparty ID
Status
From datetime Datetime schema
To datetime Datetime schema
Search term
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Parameter used for pagination. It's a base64 encoded param used to access the previous page of results. Provided along with the data in the metadata section if there is a previous page.
Query limit, default is 50 and max is 100 Limit list
x >= 10Response
Boletos
Boleto list response
Show child attributes
Show child attributes

